Skip to content

Intake Inbox Item

Before submitting this request:

  • A Transmission Profile with the type Partner Exchange Profile must already exist for exchanging data with the trading partner. Vault Safety Help provides setup instructions.
  • The User record for the API user must link to the Organization receiving the report in the Organization field. Edit User records in Admin > Users & Groups.
  • The API user must have permissions to create Transmission (transmission__v) objects and Case > Source > Adverse Event Report (case__v > source__v > adverse_event_report__v) documents.
  • You must have access to the source E2B file from your machine.
  • VQL criteria may cause the job to fail. Do not configure VQL criteria for Organizations, Users, or Transmission Profiles in the following records:
    • The Transmission (transmission__v) object
    • The Inbox Item (inbox_item__v) object
    • The Case > Source > Adverse Event Report (case__v > source__v > adverse_event_report__v) document type
  • All non-standard mandatory fields must have a default value for the following records:
    • The Transmission (transmission__v) and Inbox Item (inbox_item__v) objects
    • The Case > Source > Adverse Event Report (case__v > source__v > adverse_event_report__v) document type

Use the following endpoint to import an Inbox Item from an E2B (R2) or E2B (R3) file containing one or more Individual Case Safety Reports (ICSRs):

POST/api/{version}/app/safety/intake/inbox-item
NameDescription
Content-Typemultipart/form-data
NameDescription
fileThe filepath of the E2B file to be imported.
origin-organization(Optional) The Vault API Name for the Organization sending the E2B file. This parameter sets the Origin Organization on the Inbound Transmission. If no value is provided, the Origin Organization is left blank.
formatThe format of the file being imported. This must match the Vault API Name of the Inbound Transmission Format picklist value. Must be an E2B format.
organization(Optional) To specify which organization to send the Case to, enter the Vault API Name for the Organization record. If no value is provided, the Organization is set to vault_customer__v. Note that the Organization record type must be Sponsor.
transmission-profile(Optional) The Vault API Name of the Transmission Profile to be used for E2B Intake. These parameters are used for Narrative Template Override and Inbox Item Auto-Promotion. The Transmission Profile record type must be Connection. This parameter is required for Automated Case Promotion (see Veeva Safety Help for more information). If no transmission-profile is specified, Vault will use the parameters on the general_api_profile__v.
curl --location --request POST 'https://myvault.veevavault.com/api/v26.2/app/safety/intake/inbox-item' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: {AUTH_VALUE}' \
--form 'file=@"/directory/labrinone_literature_case.xml"' \
--form 'origin-organization="vertio_biopharma__c"' \
--form 'format="e2br3__v"' \
--form 'organization="vault_customer__v"'
{
    "responseStatus": "SUCCESS",
    "url": "/api/v26.2/app/safety/intake/status?inbound_id=V29000000004001",
    "intake_id": "V29000000004001"
}

On SUCCESS, the response includes the following information:

NameDescription
urlThe URL to retrieve the current status of the import request.
intake_idThe Inbound Transmission ID of the E2B import.

On FAILURE, the response returns a message describing the reason for the failure.